complexType "IdentifiedAsset"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*
</...>

Content Model Elements (1):

  instrumentId (defined in IdentifiedAsset complexType)

Known Direct Subtypes (3):

  Commodity, CurveInstrument, UnderlyingAsset

Known Indirect Subtypes (19):

  Bond, ConvertibleBond, Deposit, EquityAsset, ExchangeTraded, ExchangeTradedCalculatedPrice, ExchangeTradedContract, ExchangeTradedFund, ExchangeTradedOption, Future, FxRateAsset, Index, Loan, Mortgage, MutualFund, RateIndex, SimpleCreditDefaultSwap, SimpleFra, SimpleIRSwap

All Direct / Indirect Based Elements (22):

  bond, commodity, commodity (in commodityOption), commodity (in floatingLeg), convertibleBond, deposit, equity, exchangeTradedContractNearest (in rateOfReturn), exchangeTradedContractNearest (in variance), exchangeTradedFund, future, | fx, index, loan, mortgage, mutualFund, option, rateIndex, simpleCreditDefaultSwap, simpleFra, simpleIrSwap, underlyingEquity

Known Usage Locations

- In derivations of other global types (3):

  Commodity (as extension base), CurveInstrument (as extension base), | UnderlyingAsset (as extension base)

Annotation
A generic type describing an identified asset.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="IdentifiedAsset"> <xsd:complexContent> <xsd:extension base="Asset"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"/> <!--View Generation: SKIPPED description - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
instrumentId

  Type: | InstrumentId, simple content

  Identification of the underlying asset, using public and/or private identifiers.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.